/*==============================================
 * 小兵客服2.0
 * by WangHao
 * Copyright 2016 xb, Inc. Author WANGHAO 
 * Licensed under the MIT license
 *  $('#kefu').kefutu({
      service:'on',//是否打开
      skin:'blue',//风格
      position:'right',//居右
      target:'',
      offset:'50%',//垂直偏移量
      durationTime: 600//缓动
    });
 */
;(function($, window, document, undefined) {

    $.fn.kefutu = function(options) {
        // 参数
        var defaults = {
            skin: 'blue',
            service: 'on',
            position: 'right',
            target:'',
            offset:'50%',
            durationTime: 600
        }
        var options = $.extend({},defaults, options);
        _this = this;
        //风格
        _this.addClass(options.skin);
        
        //初始化
        _this.animate({top:options.offset},options.durationTime);

        if('left' == options.position){
            _this.css({left:0})
        }else if('right' == options.position){
            _this.css({right:0})
        }

        this.each(function() {
            var _self = $(this)
            var item =  _self.find('.kefutu-item');//div
            var gotop = _self.find('.item-gotop');//返回顶部
            var itemHeight  = item.height();
            _this.css({height:item.length*itemHeight})//设置高度
            item.hover(function(){
                $(this).addClass('active');
                $(this).find('.kefutu-item-content').stop(true,true).fadeIn();
            },function(){
                $(this).find('.kefutu-item-content').stop(true,true).fadeOut();
                $(this).removeClass('active');
            })
            //返回顶部
            $(window).scroll(function() { 
                var st = $(window).scrollTop()
                st > 100 ? gotop.stop(true,true).fadeIn() : gotop.stop(true,true).fadeOut();  
                gotop.click(function(){
                     $("html,body").stop().animate({scrollTop: 0}, options.durationTime)
                }) 
            });
            //电话
            var tel = _self.find('.item-tel');
            var telNum = tel.find('p').length;
            if(telNum > 1){
               tel.find('.kefutu-item-content').addClass('multiItem');
               tel.find('.kefutu-item-content').css({'height':telNum*25}) 
            }
            //alert(tel.find('.kefutu-item-content p').length)
            //二维码
            //QQ
        })
    }
})(jQuery,window,document)